Create an emission record
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
EmissionRecordRequest
| Property | Description | Type |
|---|---|---|
| attachment | The attachment for this record Must be between 0 and 260 characters Required (defined) | string |
| beginDate | The begin date for this record Required | string (date-time) |
| cost | The cost for this record Required if RecordTypeId is set to 2 (Cost), otherwise it is optional. Required when RecordTypeId is set to 2, case sensitive. Required when CostUnitId is set | number (double) |
| costUnitId | The unit for this record’s cost. Required if RecordTypeId is set to 2 (Cost), otherwise it is optional. Required when RecordTypeId is set to 2, case sensitive. Required when Cost is set | integer (int32) |
| emissionSourceId | The Emission Source this record will be assigned to Required | integer (int32) |
| endDate | The end date for this record Required Must be greater than BeginDate | string (date-time) |
| factorId | The factor for this record Required | integer (int32) |
| note | The note for this record Must be between 0 and 255 characters Required (defined) | string |
| quantity | The use that is being tracked by this record. This value is required if RecordTypeId is set to 1 (Use) or 3 (Direct/Offset), but must be left null if RecordTypeId is set to 2 (Cost). Required when RecordTypeId is set to 1, or 3, case sensitive. Must be null when RecordTypeId is set to 2, case sensitive | number (double) |
| quantityUnitId | The unit for the use being tracked by this record. This value is required if RecordTypeId is set to 1 (Use) or 3 (Direct/Offset), but must be left null if RecordTypeId is set to 2 (Cost). Required when RecordTypeId is set to 1, or 3, case sensitive. Must be null when RecordTypeId is set to 2, case sensitive | integer (int32) |
| recordTypeId | The type of this record. Valid values are: 1 - Use 2 - Cost 3 - Direct/Offset Required One of ‘1’, ‘2’, ‘3’ Case sensitive | integer (int32) |
| scopeCategoryId | The scope category for this record Required | integer (int32) |
| vendorId | The supplier for this record Required (defined) | integer (int32) |
Example Request Body
{ "attachment": "string", "beginDate": "2026-03-30", "cost": 1.0, "costUnitId": 1, "emissionSourceId": 1, "endDate": "2026-03-30", "factorId": 1, "note": "string", "quantity": 1.0, "quantityUnitId": 1, "recordTypeId": 1, "scopeCategoryId": 1, "vendorId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EmissionRecordResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| attachment | The attachment for this record | string | |||||||||||||||||||||||||||||||||||||||||||||
| billId | The bill identifier, if this record originated from a bill in UtilityManagement | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||
| billingPeriod | The bill’s billing period, if this record originated from a bill in UtilityManagement | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||
| cost | ValueWithUnit | ||||||||||||||||||||||||||||||||||||||||||||||
|
ValueWithUnit properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| costConversion | CostConversionBase | ||||||||||||||||||||||||||||||||||||||||||||||
|
CostConversionBase properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date this record was created | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||
| creationMethod | The emission record creation method | string | |||||||||||||||||||||||||||||||||||||||||||||
| emissionRecordId | The record identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||
| emissionRecordType | EmissionRecordType | ||||||||||||||||||||||||||||||||||||||||||||||
|
EmissionRecordType properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| emissionSource | EmissionSourceChild | ||||||||||||||||||||||||||||||||||||||||||||||
|
EmissionSourceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| emissionValues | The GHG emissions for this record, split by greenhouse gas type | GHGGroupEmissionsV202211[] | |||||||||||||||||||||||||||||||||||||||||||||
|
GHGGroupEmissionsV202211 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| endDate | The end date for the record | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||
| factor | GHGFactorChildV202210 | ||||||||||||||||||||||||||||||||||||||||||||||
|
GHGFactorChildV202210 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date this record was last modified | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||
| note | The note for this record | string | |||||||||||||||||||||||||||||||||||||||||||||
| quantity | ValueWithUnit | ||||||||||||||||||||||||||||||||||||||||||||||
|
ValueWithUnit properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| scopeCategory | GHGScopeCategoryChildV202210 | ||||||||||||||||||||||||||||||||||||||||||||||
|
GHGScopeCategoryChildV202210 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| startDate | The start date for the record | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||
| systemCost | ValueWithUnit | ||||||||||||||||||||||||||||||||||||||||||||||
|
ValueWithUnit properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| totalEmissions | The total GHG emissions for this record in kgCO2e. | number (double) | |||||||||||||||||||||||||||||||||||||||||||||
| vendor | VendorChild | ||||||||||||||||||||||||||||||||||||||||||||||
|
VendorChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "attachment": "string", "billId": 1, "billingPeriod": 1, "cost": { "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "value": 1.0
}, "costConversion": { "conversionDate": "2026-03-30", "sourceToSystemConversionValue": 1.0
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "creationMethod": "string", "emissionRecordId": 1, "emissionRecordType": { "emissionRecordTypeId": 1, "emissionRecordTypeInfo": "string"
}, "emissionSource": { "commodity": { "commodityCode": "string", "commodityIcon": {}, "commodityId": 1, "commodityInfo": "string"
}, "emissionSourceCode": "string", "emissionSourceId": 1, "emissionSourceInfo": "string"
}, "emissionValues": [
{ "groupInfo": "string", "totalEmissions": 1.0
}
], "endDate": "2026-03-30", "factor": { "factorDescription": "string", "factorId": 1, "factorInfo": "string"
}, "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "note": "string", "quantity": { "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "value": 1.0
}, "scopeCategory": { "scopeCategoryDescription": "string", "scopeCategoryId": 1, "scopeCategoryInfo": "string"
}, "startDate": "2026-03-30", "systemCost": { "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "value": 1.0
}, "totalEmissions": 1.0, "vendor": { "vendorCode": "string", "vendorId": 1, "vendorInfo": "string"
}
}